Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEOmegaMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEOmegaMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEOmegaMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEOmegaMinusInelastic.hh,v 1.11 2007/02/26 18:29:56 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy OmegaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEPionMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEPionMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEPionMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEPionMinusInelastic.hh,v 1.12 2007/02/24 05:23:37 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy PionMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEPionPlusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEPionPlusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEPionPlusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEPionPlusInelastic.hh,v 1.12 2007/02/24 05:23:52 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy PionPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEProtonInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEProtonInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEProtonInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEProtonInelastic.hh,v 1.12 2007/02/26 18:31:19 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy Proton Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LESigmaMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LESigmaMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LESigmaMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LESigmaMinusInelastic.hh,v 1.11 2007/02/26 18:33:03 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy SigmaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LESigmaPlusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LESigmaPlusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LESigmaPlusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LESigmaPlusInelastic.hh,v 1.11 2007/02/26 18:33:48 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy SigmaPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LETritonInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LETritonInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LETritonInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LETritonInelastic.hh,v 1.10 2007/02/26 18:34:35 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy Triton Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEXiMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEXiMinusInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEXiMinusInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEXiMinusInelastic.hh,v 1.11 2007/02/26 18:35:18 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy XiMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LEXiZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LEXiZeroInelastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LEXiZeroInelastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEXiZeroInelastic.hh,v 1.11 2007/02/26 18:36:05 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy XiZero Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LElastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LElastic.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LElastic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LElastic.hh,v 1.12 2007/02/26 19:05:01 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/low_energy/include/G4LFission.hh
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/include/G4LFission.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/include/G4LFission.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LFission.hh,v 1.11 2006/06/29 20:44:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LCapture.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LCapture.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LCapture.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LCapture.cc,v 1.14 2007/02/24 05:17:29 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiKaonZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiKaonZeroInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiKaonZeroInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiKaonZeroInelastic.cc,v 1.10 2006/06/29 20:44:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonZeroLong Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiLambdaInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiLambdaInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiLambdaInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiLambdaInelastic.cc,v 1.11 2006/06/29 20:44:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiLambda Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiNeutronInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiNeutronInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiNeutronInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiNeutronInelastic.cc,v 1.14 2006/06/29 20:44:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiNeutron Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiOmegaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiOmegaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiOmegaMinusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiOmegaMinusInelastic.cc,v 1.12 2006/06/29 20:44:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiOmegaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiProtonInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiProtonInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiProtonInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiProtonInelastic.cc,v 1.15 2007/02/24 05:11:27 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiProton Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiSigmaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiSigmaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiSigmaMinusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiSigmaMinusInelastic.cc,v 1.11 2006/06/29 20:44:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiSigmaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiSigmaPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiSigmaPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiSigmaPlusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiSigmaPlusInelastic.cc,v 1.11 2006/06/29 20:44:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiSigmaPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiXiMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiXiMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiXiMinusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiXiMinusInelastic.cc,v 1.11 2006/06/29 20:44:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiXiMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiXiZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiXiZeroInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEAntiXiZeroInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEAntiXiZeroInelastic.cc,v 1.11 2006/06/29 20:44:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: AntiXiZero Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonMinusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonMinusInelastic.cc,v 1.15 2006/06/29 20:44:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonPlusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonPlusInelastic.cc,v 1.13 2006/06/29 20:45:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonZeroInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEKaonZeroInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEKaonZeroInelastic.cc,v 1.9 2006/06/29 20:45:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Low Energy KaonZeroShort Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LELambdaInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LELambdaInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LELambdaInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LELambdaInelastic.cc,v 1.11 2006/06/29 20:45:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: Lambda Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEOmegaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEOmegaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEOmegaMinusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEOmegaMinusInelastic.cc,v 1.12 2006/06/29 20:45:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: OmegaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEPionPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEPionPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEPionPlusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEPionPlusInelastic.cc,v 1.15 2007/02/24 06:28:52 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: PionPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LESigmaMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LESigmaMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LESigmaMinusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LESigmaMinusInelastic.cc,v 1.11 2006/06/29 20:45:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: SigmaMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LESigmaPlusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LESigmaPlusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LESigmaPlusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LESigmaPlusInelastic.cc,v 1.11 2006/06/29 20:45:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: SigmaPlus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEXiMinusInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEXiMinusInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEXiMinusInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEXiMinusInelastic.cc,v 1.11 2006/06/29 20:45:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: XiMinus Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LEXiZeroInelastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LEXiZeroInelastic.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LEXiZeroInelastic.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LEXiZeroInelastic.cc,v 1.11 2006/06/29 20:45:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
  // Hadronic Process: XiZero Inelastic Process
Index: trunk/source/processes/hadronic/models/low_energy/src/G4LFission.cc
===================================================================
--- trunk/source/processes/hadronic/models/low_energy/src/G4LFission.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/low_energy/src/G4LFission.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LFission.cc,v 1.15 2007/02/26 19:29:30 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/management/History
===================================================================
--- trunk/source/processes/hadronic/models/management/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/History	(revision 1228)
@@ -14,4 +14,8 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+2 December 2009 - V.Ivanchenko (hadr-modman-V09-02-08)
+------------------------------------------------------
+-  G4HadronicInteractionRegistry - more accurate model deletion
 
 19 November 2009 Gunter Folger  (hadr-modman-V09-02-07)
Index: trunk/source/processes/hadronic/models/management/include/G4HadronicInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4HadronicInteraction.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4HadronicInteraction.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronicInteraction.hh,v 1.13 2009/10/02 17:18:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Interaction  abstract base class
Index: trunk/source/processes/hadronic/models/management/include/G4HadronicInteractionRegistry.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4HadronicInteractionRegistry.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4HadronicInteractionRegistry.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronicInteractionRegistry.hh,v 1.5 2009/08/30 16:12:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 23-Jan-2009 V.Ivanchenko make the class to be a singleton
Index: trunk/source/processes/hadronic/models/management/include/G4InelasticInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4InelasticInteraction.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4InelasticInteraction.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InelasticInteraction.hh,v 1.7 2009/08/30 16:12:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Inelastic Interaction 
Index: trunk/source/processes/hadronic/models/management/include/G4V3DNucleus.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4V3DNucleus.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4V3DNucleus.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4V3DNucleus.hh,v 1.7 2009/11/19 14:29:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4V3DNucleus_h
Index: trunk/source/processes/hadronic/models/management/include/G4VHighEnergyGenerator.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VHighEnergyGenerator.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4VHighEnergyGenerator.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VHighEnergyGenerator.hh,v 1.4 2006/06/29 20:45:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4VHighEnergyGenerator_h
Index: trunk/source/processes/hadronic/models/management/include/G4VIntraNuclearTransportModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VIntraNuclearTransportModel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4VIntraNuclearTransportModel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VIntraNuclearTransportModel.hh,v 1.4 2007/01/11 05:29:46 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id: G4IntraNuclearTransportMode.hh,v 1.0 1998/06/30
Index: trunk/source/processes/hadronic/models/management/include/G4VKineticNucleon.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VKineticNucleon.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4VKineticNucleon.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKineticNucleon.hh,v 1.4 2006/06/29 20:45:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4VKineticNucleon_h
Index: trunk/source/processes/hadronic/models/management/include/G4VNuclearDensity.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VNuclearDensity.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4VNuclearDensity.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNuclearDensity.hh,v 1.4 2006/06/29 20:45:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4VNuclearDensity_h
Index: trunk/source/processes/hadronic/models/management/include/G4VPreCompoundModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VPreCompoundModel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/include/G4VPreCompoundModel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundModel.hh,v 1.5 2007/01/11 05:29:34 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/management/src/G4HadronicInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4HadronicInteraction.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4HadronicInteraction.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronicInteraction.cc,v 1.6 2009/08/30 16:12:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Interaction  base class
Index: trunk/source/processes/hadronic/models/management/src/G4HadronicInteractionRegistry.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4HadronicInteractionRegistry.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4HadronicInteractionRegistry.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronicInteractionRegistry.cc,v 1.8 2009/08/30 16:12:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4HadronicInteractionRegistry.cc,v 1.9 2009/12/02 15:57:57 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 23-Jan-2009 V.Ivanchenko make the class to be a singleton
@@ -53,6 +53,6 @@
 void G4HadronicInteractionRegistry::Clean()
 {
+  size_t nModels = allModels.size();
   //G4cout << "G4HadronicInteractionRegistry::Clean() start " << nModels << G4endl;
-  size_t nModels = allModels.size();
   if(0 < nModels) {
     for (size_t i=0; i<nModels; ++i) {
@@ -60,10 +60,11 @@
 	//G4cout << "delete " << i << G4endl;
         //G4cout << allModels[i]->GetModelName() << G4endl;
-	delete allModels[i];
+	G4HadronicInteraction * model = allModels[i];
 	allModels[i] = 0;
+	delete model;
       }
     }
+    allModels.clear();
   }
-  allModels.clear();
   //G4cout << "G4HadronicInteractionRegistry::Clean() is done " << G4endl; 
 }
@@ -72,8 +73,9 @@
 RegisterMe(G4HadronicInteraction * aModel)
 {
+  if(!aModel) { return; }
   size_t nModels = allModels.size();
   if(nModels > 0) {
     for (size_t i=0; i<nModels; ++i) {
-      if( aModel == allModels[i] ) return;
+      if( aModel == allModels[i] ) { return; }
     }
   }
@@ -86,6 +88,7 @@
 RemoveMe(G4HadronicInteraction * aModel)
 {
+  if(!aModel) { return; }
   size_t nModels = allModels.size();
-  if(0 == nModels) return;
+  if(0 == nModels) { return; }
   for (size_t i=0; i<nModels; ++i) {
     if( aModel == allModels[i] ) {
Index: trunk/source/processes/hadronic/models/management/src/G4InelasticInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4InelasticInteraction.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4InelasticInteraction.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4InelasticInteraction.cc,v 1.12 2009/01/24 11:56:27 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Inelastic Interaction 
Index: trunk/source/processes/hadronic/models/management/src/G4V3DNucleus.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4V3DNucleus.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4V3DNucleus.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4V3DNucleus.cc,v 1.5 2006/06/29 20:45:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4V3DNucleus.hh"
Index: trunk/source/processes/hadronic/models/management/src/G4VHighEnergyGenerator.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VHighEnergyGenerator.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4VHighEnergyGenerator.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VHighEnergyGenerator.cc,v 1.5 2006/06/29 20:46:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VHighEnergyGenerator
Index: trunk/source/processes/hadronic/models/management/src/G4VIntraNuclearTransportModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VIntraNuclearTransportModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4VIntraNuclearTransportModel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VIntraNuclearTransportModel.cc,v 1.5 2007/01/11 05:28:56 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id: G4VIntraNuclearTransportModel.cc,v 1.0 1998/06/30
Index: trunk/source/processes/hadronic/models/management/src/G4VKineticNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VKineticNucleon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4VKineticNucleon.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKineticNucleon.cc,v 1.3 2006/06/29 20:46:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4VKineticNucleon.hh"
Index: trunk/source/processes/hadronic/models/management/src/G4VNuclearDensity.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VNuclearDensity.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4VNuclearDensity.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNuclearDensity.cc,v 1.3 2006/06/29 20:46:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/management/src/G4VPreCompoundModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VPreCompoundModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/management/src/G4VPreCompoundModel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundModel.cc,v 1.6 2007/01/11 05:29:10 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InterpolationIterator.hh,v 1.9 2006/06/29 20:46:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4InterpolationIterator_h
